Skip to content
Browse files

Link to "Command Line Tools for Xcode" as much smaller download

  • Loading branch information...
1 parent 909d6da commit 3ad1d82cfecc555dc804af8ed7ebec4c792b9692 @ranguard ranguard committed Sep 9, 2012
Showing with 13 additions and 8 deletions.
  1. +13 −8 docs/learn/installing/osx.html
View
21 docs/learn/installing/osx.html
@@ -22,11 +22,11 @@
<ul class="instructions">
<li>
- <a href=
- "http://itunes.apple.com/us/app/xcode/id422352214?mt=12&amp;ls=1">Install
- Xcode</a> through the Mac App Store (Apple charge a small amount for
- this, it is a very large download), or from your OSX software DVD/SSD
- if possible (any version will work).
+ Install "Command Line Tools for Xcode", either directly or
+ through Xcode, both available from
+ <a href="https://developer.apple.com/downloads/">Apple Developer downloads</a>
+ (free registration required). Xcode can also be installed through the
+ App Store application.
</li>
<li>Open the <em>Terminal.app</em> (found in Applications -&gt; Utilities)
and copy &amp; paste the command below into it (then press the
@@ -47,9 +47,14 @@ <h3 id="explained">
<li>To build and install Perl and many of the thousands of useful
<a href="/modules/">Perl modules</a> you need to have a <a href=
"http://en.wikipedia.org/wiki/Compiler">compiler</a>. For OSX the
- easiest way to get a compiler is to install <a href=
- "http://itunes.apple.com/us/app/xcode/id422352214?mt=12&amp;ls=1">Apple's
- Xcode</a>. Some versions of the OSX install DVD or SSD come with the
+ easiest way to get a compiler is to install
+ "Command Line Tools for Xcode" (about 100 Megs), either directly or
+ through Xcode (several Gigs), both available from
+ <a href="https://developer.apple.com/downloads/">Apple Developer downloads</a>.
+ Xcode is also available through the
+ <a href=
+ "http://itunes.apple.com/us/app/xcode/id422352214?mt=12&amp;ls=1">App
+ Store</a> application. Some versions of the OSX install DVD or SSD come with the
'developer tools', which contains Xcode. Only the 'unix tools' section
of Xcode is actually required, no specific version of Xcode is needed,
the latest is available directly through the App Store.

0 comments on commit 3ad1d82

Please sign in to comment.
Something went wrong with that request. Please try again.